from django.db import models
from dbsynce.models import Orders, Resource
from django.contrib.postgres.fields import ArrayField

class OrdersLocal(models.Model):
    """
    OrdersLocal - таблица с заказами
    """
    order_synced = models.ForeignKey(Orders, on_delete=models.DO_NOTHING)
   # resource_id = models.ForeignKey(Resource, null=True, on_delete=models.DO_NOTHING)
   # rating_id = models.IntegerField(null=True)#Need create table with rating
   # payment_transaction_id = models.IntegerField(null=True)#Need create table with payment_transaction or it get from platform (i dont know)
   # attempts = models.IntegerField(null=True, help_text="Попытки")

    name_order = models.CharField(null=True, max_length=300)
    comment = models.CharField(null=True, max_length=300, default="-")
    place_start = models.CharField(null=True, max_length=100)
    place_end = models.CharField(null=True, max_length=100)
    guide_type = models.IntegerField(null=True)
    movement_way = models.IntegerField(null=True)
    numb_of_people = models.IntegerField(null=True)
   # is_with_payment_document = models.BooleanField(default=False)
   # asap = models.BooleanField(default=False)
   # due_date = models.DateTimeField(null=True)
    service_date = models.DateTimeField(null=True)
    service_time = models.TimeField(null=True)
    discription = models.CharField(null=True, max_length=300)
    price = models.IntegerField(null=True)

    class Meta:
        db_table = "orders_local"
        verbose_name = "Заказ (local)"
        verbose_name_plural = "Заказы (local)"